#! /bin/sh
################################################################################
#
# splash.sh - version 1.0 - olivier.lauwick@free.fr
# Attention ce fichier doit tre au  format Unix (Uniquement LF)
# Il permet de changer le splash  chaque dmarrage.
# - copier vos images dans le rpertoire /splash avec l'extension .bmp
# 
################################################################################
#
# - Variables -
#
sdmnt=/mnt/sdcard		     # rpertoire carte SD monte
rep=$sdmnt/splash		     # rpertoire contenant les diffrents splash
temp=$sdmnt/splash/temporaire        # rpertoire temporaire de traitement
ref=$sdmnt/splash/name	     	     # fichier rference contenant le nom du splash
#
# - Traitement de l'image .bmp -
#
traite_splash() {
	if test -f /mnt/sdcard/splash.bmp ; then
	    SPLASHFILE=splash.bmp
	else
	    SPLASHFILE=splashw.bmp
	fi
	if ! test -r $ref ; then
 	  mkdir $temp
 	  mv $sdmnt/$SPLASHFILE $temp/$SPLASHFILE
	fi
	if test -r $ref ; then
  	  ancien_nom=`cat $ref`
	  cp $sdmnt/$SPLASHFILE $temp/$ancien_nom
	fi
  cd $rep
  IMAGE=`ls *.bmp | head -n1`
	if [ "A$IMAGE" = "A" ] ; then
	  mv $temp/*.bmp $rep
	  cd $rep
	  IMAGE=`ls *.bmp | head -n1`
	fi
 echo $IMAGE > $ref
 mv $IMAGE $sdmnt/$SPLASHFILE
 echo finish > "/var/run/SDK.TomTomNavigationServer.$$.2.finished"
}
#
# - Boucle principale -
#
echo -e "FlashMessageV01|Dmarrage de splash.|6000|\0\c" > "/var/run/SDK.TomTomNavigationServer.$$.2.message"
if test -r /etc/rc.suspend ; then
	chmod 755 /etc/rc.suspend
	grep splash.sh  /etc/rc.suspend
		if test "${?}" = "0" ; then
			traite_splash
		else
			echo "sh /mnt/sdcard/opt/bin/splash.sh" >> /etc/rc.suspend
			traite_splash
		fi
fi

#EOF
################################################################################
